﻿@using System.Web.UI.WebControls;

<style type="text/css">
    #SUPPLIER_PLANT_CD_DETAIL{
        visibility:hidden;
    }
</style>
<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part No";
                    label.Width = Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "PART_NO_DETAIL";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part Name";
                    label.Width = Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "PART_NAME_DETAIL";
                settings.Width = new System.Web.UI.WebControls.Unit(200);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Unique No";
                    label.Width = Unit.Pixel(90);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "KANBAN_NO_DETAIL";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Kanban Qty";
                    label.Width = Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "KANBAN_QTY_DETAIL";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
    </tr>

    @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "SUPPLIER_PLANT_CD_DETAIL";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
    
    <tr>
        <td colspan="4" align="right" style="padding-right:10px">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnPrintKanbanDetail";
                    settings.Text = "Print Kanban";
                    settings.Width = 100;
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "PrintKanbanWeb";
                }
            ).GetHtml()
        </td>
    </tr>   
</table>